Cancel order by id
curl --request POST \
--url https://sandbox.api.btdx.io/orders/{id}/cancel \
--header 'authorization: <authorization>'{
"_meta": {
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"orders": [
{
"id": "<string>",
"appId": "<string>",
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"walletId": "<string>",
"outcomeId": "<string>",
"outcomeTitle": "<string>",
"price": 123,
"stake": 123,
"stakeUnmatched": 123,
"stakeVoided": 123,
"keepWhenInPlay": true,
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"commissionRateId": "<string>",
"reference": "<string>",
"cancellationReason": "<string>"
}
],
"markets": [
{
"id": "<string>",
"name": "<string>",
"published": true,
"suspended": true,
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"events": [
{
"id": "<string>",
"eventGroup": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"code": "<string>",
"expectedStartTime": "2023-11-07T05:31:56Z",
"active": true
}
],
"trades": [
{
"order": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"id": "<string>",
"price": 123,
"stake": 123,
"profitLoss": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"eventGroups": [
{
"id": "<string>",
"name": "<string>",
"subcategory": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"categories": [
{
"id": "<string>",
"name": "<string>"
}
]
}Orders
Cancel order by id
deprecated
Cancel order by id. Pending orders will be updated with matchBehavior: CancelUnmatched, and any remaining unmatched stake after processing will be cancelled.
POST
/
orders
/
{id}
/
cancel
Cancel order by id
curl --request POST \
--url https://sandbox.api.btdx.io/orders/{id}/cancel \
--header 'authorization: <authorization>'{
"_meta": {
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"orders": [
{
"id": "<string>",
"appId": "<string>",
"market": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"walletId": "<string>",
"outcomeId": "<string>",
"outcomeTitle": "<string>",
"price": 123,
"stake": 123,
"stakeUnmatched": 123,
"stakeVoided": 123,
"keepWhenInPlay": true,
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"commissionRateId": "<string>",
"reference": "<string>",
"cancellationReason": "<string>"
}
],
"markets": [
{
"id": "<string>",
"name": "<string>",
"published": true,
"suspended": true,
"lockAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"event": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"events": [
{
"id": "<string>",
"eventGroup": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"code": "<string>",
"expectedStartTime": "2023-11-07T05:31:56Z",
"active": true
}
],
"trades": [
{
"order": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"id": "<string>",
"price": 123,
"stake": 123,
"profitLoss": 123,
"createdAt": "2023-11-07T05:31:56Z"
}
],
"eventGroups": [
{
"id": "<string>",
"name": "<string>",
"subcategory": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"categories": [
{
"id": "<string>",
"name": "<string>"
}
]
}Headers
Header with the accessToken for the current session
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I